<template>
  <div>
    <List v-show="activeName=='List'" ref="list" />
    <InspectionInfo v-if="activeName=='InspectionInfo'" />
  </div>
</template>

<script>
import List from './components/list'
import InspectionInfo from '../inspection/components/info'
export default {
  components: {
    List,
    InspectionInfo
  },
  data() {
    return {
      activeName: 'List',
      INSPECTION_ID: ''
    }
  },
  watch: {
    activeName(newValue, oldValue) {
      if (newValue == 'List') {
        this.$refs.list.getQuery()
      }
    }
  }
}
</script>

<style scoped>

</style>
